GNU bug report logs - #11599
New Gnus reads full group information too often

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,gnus; Reported by: John Wiegley <jwiegley@HIDDEN>; merged with #12133; dated Fri, 1 Jun 2012 01:04:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 11599 <at> debbugs.gnu.org:


Received: (at 11599) by debbugs.gnu.org; 25 Jan 2017 14:46:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 25 09:46:06 2017
Received: from localhost ([127.0.0.1]:41691 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWOpn-0003GB-7l
	for submit <at> debbugs.gnu.org; Wed, 25 Jan 2017 09:46:06 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:42112)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1cWOph-00039U-S6
 for 11599 <at> debbugs.gnu.org; Wed, 25 Jan 2017 09:46:02 -0500
Received: from 2.150.50.220.tmi.telenormobil.no ([2.150.50.220] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1cWObq-0007b1-NF; Wed, 25 Jan 2017 15:31:42 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "John Wiegley" <johnw@HIDDEN>
Subject: Re: bug#11599: New Gnus reads full group information too often
References: <m28vg73kwe.fsf@HIDDEN> <m34nqhtude.fsf@HIDDEN>
 <m2ehplgyff.fsf@HIDDEN> <m3zk7xuc28.fsf@HIDDEN>
 <m2wr2zbo5x.fsf@HIDDEN>
Date: Wed, 25 Jan 2017 15:31:32 +0100
In-Reply-To: <m2wr2zbo5x.fsf@HIDDEN> (John Wiegley's message of "Fri, 22
 Jun 2012 06:07:22 -0500")
Message-ID: <8760l36wjf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 11599
Cc: Dave Abrahams <dave@HIDDEN>, 11599 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

"John Wiegley" <johnw@HIDDEN> writes:

>>>>>> Lars Magne Ingebrigtsen <larsi@HIDDEN> writes:
>
>> Right.  But since this is something that Dovecot seems to do
>> sporadically, it's probably a bug in Gnus that triggers it somehow.  I
>> still haven't been able to reproduce it, though.
>
> It's come back again, somewhat.  When I hit '6 g', I see "initial sync of 1
> group(s)", every time.  No message duplication happening in Dovecot this time,
> though.

I think the message duplication issue has been fixed?  But I still see
the "Initial sync" thing from time on some servers, mainly Gmail.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#11599; Package emacs,gnus. Full text available.
bug No longer marked as found in versions 5.130006. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug reassigned from package 'gnus' to 'emacs,gnus'. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 11599 12133. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 11599 <at> debbugs.gnu.org:


Received: (at 11599) by debbugs.gnu.org; 22 Jun 2012 16:05:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 22 12:05:04 2012
Received: from localhost ([127.0.0.1]:53114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Si6Lz-00038r-U2
	for submit <at> debbugs.gnu.org; Fri, 22 Jun 2012 12:05:04 -0400
Received: from mail-yx0-f172.google.com ([209.85.213.172]:54914)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jwiegley@HIDDEN>) id 1Si1lX-0003LQ-0j
	for 11599 <at> debbugs.gnu.org; Fri, 22 Jun 2012 07:11:06 -0400
Received: by yenq13 with SMTP id q13so1384949yen.3
	for <11599 <at> debbugs.gnu.org>; Fri, 22 Jun 2012 04:07:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=sender:from:to:cc:subject:organization:references:date:in-reply-to
	:message-id:user-agent:mime-version:content-type;
	bh=C7vmh1NTzV4GW612be6ywwRUdtIvWjm+IZJtF2dRL+E=;
	b=W1vOd2V1Qhke8dWpbKcBl1VIobxKyo+sf4mUrMXcB1MmqI38UEkPoA13d8cdBVow2e
	cP4baEYbRzjLjfNTQQ08obLn8OARYVm/TWogjl5sG6aznUD3WEb+dy0sheI/2MhkrDvi
	pJNsi0kPGVtEO3JStD6gKAW0G9hTq5p6L/1K123BvRUxYQjUSB/WzBB10ogNhXGe91De
	dVx58AQ1IOEQvrYzMhHEj99S3ph6wvBHngxW+qyIA5CrSMZcXEUj0796Nx4FKQEvJGvR
	H7YBR7ccSJvuqIW7MreusywBn3WB6icsU66Vd4zm1ijJgDx8Klbt3rMzhXk2OVkVTnbx
	M8Cg==
Received: by 10.50.187.200 with SMTP id fu8mr1063874igc.6.1340363244532;
	Fri, 22 Jun 2012 04:07:24 -0700 (PDT)
Received: from vulcan.local (c-98-215-105-167.hsd1.il.comcast.net.
	[98.215.105.167])
	by mx.google.com with ESMTPS id bj4sm20676597igc.16.2012.06.22.04.07.23
	(version=TLSv1/SSLv3 cipher=OTHER);
	Fri, 22 Jun 2012 04:07:23 -0700 (PDT)
Received: by vulcan.local (Postfix, from userid 501)
	id E8277F03E9EE; Fri, 22 Jun 2012 06:07:22 -0500 (CDT)
From: "John Wiegley" <johnw@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#11599: New Gnus reads full group information too often
Organization: BoostPro Computing, Inc.
References: <m28vg73kwe.fsf@HIDDEN> <m34nqhtude.fsf@HIDDEN>
	<m2ehplgyff.fsf@HIDDEN> <m3zk7xuc28.fsf@HIDDEN>
Date: Fri, 22 Jun 2012 06:07:22 -0500
In-Reply-To: <m3zk7xuc28.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Wed, 20 Jun 2012 19:29:19 +0200")
Message-ID: <m2wr2zbo5x.fsf@HIDDEN>
User-Agent: Gnus/5.130006 (Ma Gnus v0.6) Emacs/24.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 11599
X-Mailman-Approved-At: Fri, 22 Jun 2012 12:04:58 -0400
Cc: Dave Abrahams <dave@HIDDEN>, 11599 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

>>>>> Lars Magne Ingebrigtsen <larsi@HIDDEN> writes:

> Right.  But since this is something that Dovecot seems to do
> sporadically, it's probably a bug in Gnus that triggers it somehow.  I
> still haven't been able to reproduce it, though.

It's come back again, somewhat.  When I hit '6 g', I see "initial sync of 1
group(s)", every time.  No message duplication happening in Dovecot this time,
though.

-- 
John Wiegley
BoostPro Computing
http://www.boostpro.com




Information forwarded to bugs@HIDDEN:
bug#11599; Package gnus. Full text available.

Message received at 11599 <at> debbugs.gnu.org:


Received: (at 11599) by debbugs.gnu.org; 20 Jun 2012 17:33:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 20 13:32:59 2012
Received: from localhost ([127.0.0.1]:50142 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ShOm3-0003qD-Bt
	for submit <at> debbugs.gnu.org; Wed, 20 Jun 2012 13:32:59 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:49936)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <larsi@HIDDEN>) id 1ShOm1-0003q6-Aw
	for 11599 <at> debbugs.gnu.org; Wed, 20 Jun 2012 13:32:58 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=stories.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1ShOiV-0007NY-DX; Wed, 20 Jun 2012 19:29:19 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: John Wiegley <jwiegley@HIDDEN>
Subject: Re: bug#11599: New Gnus reads full group information too often
References: <m28vg73kwe.fsf@HIDDEN> <m34nqhtude.fsf@HIDDEN>
	<m2ehplgyff.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAJFBMVEW3GDo3AARNAAnhYIqp
	DyvVQWnHJUrme5v3scyZCiR4BBeUCCKpmv4mAAACRElEQVQ4jV2Tv4rbQBDGB6JTuKTyQV7A6dIu
	/lOq2EsQaQJida1JrA2kCohjnQcIUplCCQh1gRCQmhTXyPty982sZPvyYTffb2d2ZnZEzpVKbepq
	HXWt9/69F/3zVDM41PV93rWd919969u2fd6RghxAubqGIS6rI5MF4JzZt2cBmBUTh986DWajddsC
	GAC5516naatZSZSSBcnUymSH+rsOLlFsr6kweWFMTsV2BrGxhdkjVW6LfHeV3yEVRFQopPjAgKyN
	dFKoNdvWbJzauDW53ALoBhl2OrE4fKhR/j3MHRGlDQ6Tpk8b7qmuXEnwI66b02u6q0WVc4TzUaql
	q5hoGwDmgHidTu3aM6gcfM3+D80gnkFdURtm+nP/FNTkR3kZXJ48BcPA/sggJnsBsr4fBCQY3iXo
	oWEYpUGym3NVDHo/hmEXofEzGBq2LQ/QzeC3gOTz2toCoJaQQ1XSksEDvxX+GSJ4MQS8AfhlWMoo
	BhVGiOkuOeQ2U2aV8YbNYoCQW7wmg9nGI9JLAZwo40QwS+zSVoWIt1YAhLNBALjkAVu0kv1SOK64
	kgCG5lluePXAMqnQ0EJyjVgK7pxrZlk7gSEhK6wIdgAgwzRdW4or4EZukSdM4snlVVtMIWPTaIli
	RYmmKwZc2MgbFIWF1+8iRDDp/3zh9230SRNYDuHl09NHyCDcggKwRX7EN+27MYBQmKzLSQIWoUsO
	mtlxAjchZNIR/wn8Ry7AXMCLYA89vQ7+q49LafRbAH+PpwgpLUjqeATRRbvlXWAhHAAAAABJRU5E
	rkJggg==
X-Now-Playing: Arthur Russell's _World of Echo_: "Our Last Night Together"
Date: Wed, 20 Jun 2012 19:29:19 +0200
In-Reply-To: <m2ehplgyff.fsf@HIDDEN> (John Wiegley's message of "Mon, 11
	Jun 2012 17:45:41 -0500")
Message-ID: <m3zk7xuc28.fsf@HIDDEN>
User-Agent: Gnus/5.130006 (Ma Gnus v0.6) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1ShOiV-0007NY-DX
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1340818159.52614@UyUQWzqje7zq7WwscUv8rA
X-Spam-Status: No
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11599
Cc: Dave Abrahams <dave@HIDDEN>, 11599 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

John Wiegley <jwiegley@HIDDEN> writes:

> You know, I think this was Dovecot's fault, not Gnus.  I noticed that
> in the groups where this was occurring, the IMAP message counts got
> doubled (in some cases, many times over).  So I killed all the dups,
> did a force-resync on everything, and since then Gnus has never said
> "initial sync" to me.

Right.  But since this is something that Dovecot seems to do
sporadically, it's probably a bug in Gnus that triggers it somehow.  I
still haven't been able to reproduce it, though.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bugs@HIDDEN:
bug#11599; Package gnus. Full text available.

Message received at 11599 <at> debbugs.gnu.org:


Received: (at 11599) by debbugs.gnu.org; 12 Jun 2012 00:37:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 11 20:37:53 2012
Received: from localhost ([127.0.0.1]:38505 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SeF7F-0004UR-Qd
	for submit <at> debbugs.gnu.org; Mon, 11 Jun 2012 20:37:53 -0400
Received: from mail-yw0-f44.google.com ([209.85.213.44]:48006)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jwiegley@HIDDEN>) id 1SeF7A-0004UF-11
	for 11599 <at> debbugs.gnu.org; Mon, 11 Jun 2012 20:37:48 -0400
Received: by yhq56 with SMTP id 56so3138833yhq.3
	for <11599 <at> debbugs.gnu.org>; Mon, 11 Jun 2012 17:35:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=from:to:cc:subject:date:references:message-id:user-agent
	:mime-version:content-type;
	bh=PwptPoLK2vhpa/wRV18MRdw8shElpMuWEoI2WakYKRA=;
	b=cqXmFy3oA2QYy+96C474Kz9y7r97eBjDFiScMrtgcr6tZSX5erHtdGh8zTZoGY6hpN
	AxfUZaNi1HhCPu0jMZfA51sD5J+r5kMU/xkvySQ1uEnj7Kgsp++9rxiVm4tpJ7j2eklW
	6YZvxswKhFZ2oTKIo+OXjDpZHQctj6wkJL6kmyaEJsMxA+3urkbA/zdZWi+rHbIql9y4
	qM2a3dfK1oyk05BOLnYsAmqn7dH2B9pZsJEBMqhGB7UeOoe4UusKebHr9TbYjGxwwy/9
	vkm/yxWUeUrz50rQSfx7l0Z6IZPrN9Y819MMd1KK0+dBsbDnKzgRIpKVVjhLNTvOlhME
	hFvw==
Received: by 10.101.131.14 with SMTP id i14mr7375560ann.44.1339461304230;
	Mon, 11 Jun 2012 17:35:04 -0700 (PDT)
Received: from vulcan.local (c-98-215-105-167.hsd1.il.comcast.net.
	[98.215.105.167])
	by mx.google.com with ESMTPS id p3sm28505980ano.11.2012.06.11.17.35.02
	(version=TLSv1/SSLv3 cipher=OTHER);
	Mon, 11 Jun 2012 17:35:02 -0700 (PDT)
Received: by vulcan.local (Postfix, from userid 501)
	id 7A1E4EE3E108; Mon, 11 Jun 2012 19:35:00 -0500 (CDT)
From: John Wiegley <jwiegley@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#11599: New Gnus reads full group information too often
Date: Mon, 11 Jun 2012 17:45:41 -0500
References: <m28vg73kwe.fsf@HIDDEN> <m34nqhtude.fsf@HIDDEN>
Message-ID: <m2ehplgyff.fsf@HIDDEN>
User-Agent: Gnus/5.130006 (Ma Gnus v0.6) Emacs/24.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 11599
Cc: Dave Abrahams <dave@HIDDEN>, 11599 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

>>>>> Lars Magne Ingebrigtsen <larsi@HIDDEN> writes:

> Right.  Something happens to the `unexist' tracking that makes Gnus think
> that it needs to do a full resync, because it's gotten totally out of sync.

> I've had the same report from another user who's done extensive tracing to
> try to find out why this happens, but so far I haven't been able to
> reproduce or figure out why this happens.

> Could you try to `g' until it stops doing the "initial sync" thing.  And
> then `G E' on a group when it's "ok", and then `G E' the group again after
> you've triggered the "initial sync" thing?  I think nnimap messes up the
> group data somehow...

You know, I think this was Dovecot's fault, not Gnus.  I noticed that in the
groups where this was occurring, the IMAP message counts got doubled (in some
cases, many times over).  So I killed all the dups, did a force-resync on
everything, and since then Gnus has never said "initial sync" to me.

So, all is back to normal here, but I'm still in the dark as to what caused
the message duplication, or the re-syncing in Gnus.  Which one came first is a
mystery to me.

John




Information forwarded to bugs@HIDDEN:
bug#11599; Package gnus. Full text available.

Message received at 11599 <at> debbugs.gnu.org:


Received: (at 11599) by debbugs.gnu.org; 11 Jun 2012 21:27:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 11 17:27:01 2012
Received: from localhost ([127.0.0.1]:38358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SeC8b-0005Ru-B9
	for submit <at> debbugs.gnu.org; Mon, 11 Jun 2012 17:27:01 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:37810)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <larsi@HIDDEN>) id 1SeC8Y-0005Rl-23
	for 11599 <at> debbugs.gnu.org; Mon, 11 Jun 2012 17:26:59 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=stories.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1SeC5t-0004TC-Ih; Mon, 11 Jun 2012 23:24:13 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: John Wiegley <jwiegley@HIDDEN>
Subject: Re: bug#11599: New Gnus reads full group information too often
References: <m28vg73kwe.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAFVBMVEXw7+ZYQyJoWDdKMRIz
	HgidknMXCgP2NUKkAAACa0lEQVQ4jaVTwY7jIAz1jpQPMGT2XJzyARS29wwW5zRd9r4axP9/wj5S
	jdRqjgtKQvywjZ8fRK9jqrU+/9evsYv4Z2AbYzpWmM8A5jTBcaKJvntMG4CXFNg8PGCdXh0e0Z4/
	Xx7yPL75/O94FDy9vuq2UYpGxOy2lyazxiAxRNvY0JzZGuvmXnpITXNmdvheyGbD4uy1a1fVou0i
	9aYlEwcjfmcATTUn1Q/kSb2RYyN1AC0HzeyC309Uz42EWaoMYI2qQcL2hoa8JZpwKAlse88ai+rq
	bwaELgdNLrAvvSN70+A4nia50e4rEFt/AujIz2LjOy2e5DS57cYCjwYgB0EB232Dxy7bPfAASuv6
	ISkHjzZWID5p1hEKLyMW4R4k7hbbcyoDaF52KwLFSK3LOFFjIFgYT074/QYPV44oK8eRB8A9pmhJ
	JA17v+ZoZtQnUuekMZJLh8NnyRxsycbZAGrshdCJo7S++jO4cjaCYY0bQpXHOVe/aGC24Qr6AbzX
	8wE0GDFsvIwMYOVS9yNWhA3FQQIW9qQU/XRFipRdUkbCYBzM6CCc/uD0y19XGo7Vs1lG9kz2F/3u
	nzyv8NCxNcYZyQ3ZD/pRWhqdK6Adz+cMu5BDkx3SodH3niPUkitkJxAD+BU2416cI+haTbVGHAB0
	yrEM4A2aaBdXYUoAjEBNDgLYiFNfIQ1B0SDfMdcF3rjgi44ijd8LBOedtX4BR1AkJg5i5NyV0EXm
	gzxmcyK6JZAzCkTfdzfI4wcAMYOSHMlgvaM5mRHDHz+4DAB4rEEnbkDGPZrqnrpyDMQo4BbRTcU9
	QAGQRIMa+R9/9sV1BsBQTAAAAABJRU5ErkJggg==
X-Now-Playing: Various Artists's _After Twilight_: "Blaine L. Reininger -
	Throat Singing"
Date: Mon, 11 Jun 2012 23:24:13 +0200
In-Reply-To: <m28vg73kwe.fsf@HIDDEN> (John Wiegley's message of "Thu, 31
	May 2012 20:01:37 -0500")
Message-ID: <m34nqhtude.fsf@HIDDEN>
User-Agent: Gnus/5.130006 (Ma Gnus v0.6) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1SeC5t-0004TC-Ih
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1340054653.64914@06T6NNkAvgH46rJ5qbOGmQ
X-Spam-Status: No
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11599
Cc: 11599 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

John Wiegley <jwiegley@HIDDEN> writes:

>   5. Press RET to visit any IMAP group.  Then press RET to visit any other
>      IMAP group.
>
>   6. Hit 'g'.  Now I see this in the minibuffer:
>
>      nnimap read 876k from localhost (initial sync of 1 group; please wait)

Right.  Something happens to the `unexist' tracking that makes Gnus
think that it needs to do a full resync, because it's gotten totally out
of sync.

I've had the same report from another user who's done extensive tracing
to try to find out why this happens, but so far I haven't been able to
reproduce or figure out why this happens.

Could you try to `g' until it stops doing the "initial sync" thing.  And
then `G E' on a group when it's "ok", and then `G E' the group again
after you've triggered the "initial sync" thing?  I think nnimap messes
up the group data somehow...

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bugs@HIDDEN:
bug#11599; Package gnus. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Jun 2012 01:03:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 31 21:03:45 2012
Received: from localhost ([127.0.0.1]:52494 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SaGHI-000286-KA
	for submit <at> debbugs.gnu.org; Thu, 31 May 2012 21:03:44 -0400
Received: from mail-gh0-f170.google.com ([209.85.160.170]:63280)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jwiegley@HIDDEN>) id 1SaGGw-00027a-HD
	for submit <at> debbugs.gnu.org; Thu, 31 May 2012 21:03:42 -0400
Received: by ghbg2 with SMTP id g2so2247790ghb.29
	for <submit <at> debbugs.gnu.org>; Thu, 31 May 2012 18:01:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=to:subject:x-debbugs-version:x-debbugs-package:from:date:message-id
	:user-agent:mime-version:content-type;
	bh=CA75X9EGhDknfmpT3jAn/TiSQCV+lH1S2qeqABth1jI=;
	b=tR0gl3YAzW54Hwt2Hz0V6GtjkmTxdOFbQOQo5LFPOSLKXus/lk2V7NIZLP4YN9WYes
	kZ0iKk+eMdTPD9aiiVWCojXKYx1sAzp/diKSEQKprxZ6Nwxvp2DeOHGQAJugj+mckq1p
	VrgvfaZEDHwjVWWCxONhHJtunsZuM2gRPi6cbGjxd1XrNWzxgRYjFLLQVw5DF+wKtvho
	w1TXe7uMF6C6mj8zKzU28cazm9eLqPtCLx2IBuhFDLeXanIEtmdmu0dejjiO9wMsLh+i
	GXDO/K+5EPwWlXqFDWVxd/u1Hg7FqNptmGhjkMD0MwY0/1jm7d7RwHKfrLyoXImoLV9c
	SQIg==
Received: by 10.42.77.9 with SMTP id g9mr421768ick.4.1338512499625;
	Thu, 31 May 2012 18:01:39 -0700 (PDT)
Received: from vulcan.local (c-98-215-105-167.hsd1.il.comcast.net.
	[98.215.105.167])
	by mx.google.com with ESMTPS id ut5sm562369igc.13.2012.05.31.18.01.38
	(version=TLSv1/SSLv3 cipher=OTHER);
	Thu, 31 May 2012 18:01:38 -0700 (PDT)
Received: by vulcan.local (Postfix, from userid 501)
	id C2CF3EB3D3EE; Thu, 31 May 2012 20:01:37 -0500 (CDT)
To: submit <at> debbugs.gnu.org (The Gnus Bugfixing Girls + Boys)
Subject: New Gnus reads full group information too often
X-Debbugs-Version: 5.130006
X-Debbugs-Package: gnus
From: John Wiegley <jwiegley@HIDDEN>
Date: Thu, 31 May 2012 20:01:37 -0500
Message-ID: <m28vg73kwe.fsf@HIDDEN>
User-Agent: Gnus/5.130006 (Ma Gnus v0.6) Emacs/23.4 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

I have many mailing lists in IMAP, newsgroups in NNTP, and virtual groups that
aggregate these two into topical categories.

With the latest Ma Gnus from Git:

  1. Hit 'g' to update all my Groups.  This is fast.

  2. Hit 'g' again, this is very fast.

  3. Press RET to visit any IMAP group.

  4. Hit 'g', things are still very fast.

  5. Press RET to visit any IMAP group.  Then press RET to visit any other
     IMAP group.

  6. Hit 'g'.  Now I see this in the minibuffer:

     nnimap read 876k from localhost (initial sync of 1 group; please wait)

  7. The real problem is that if I visit several groups (some upwards of
     200,000 messages on the IMAP server), the next time I hit 'g' it will
     read many tens of megabytes from every one of those groups, taking more
     than a minute and completely locking up Emacs.

This is new behavior, as I always run the following after hitting 'g':

--8<---------------cut here---------------start------------->8---
(defun gnus-score-groups (&optional arg)
  (interactive)
  (save-excursion
    (dolist (info (cdr gnus-newsrc-alist))
      ;; Only consider this group if it's at or below the current level
      (when (<= (gnus-info-level info)
                (if (numberp arg)
                    arg
                  (or (gnus-group-default-level nil t)
                      (funcall
                       (symbol-function 'gnus-group-default-list-level))
                      gnus-level-subscribed)))
        (let* ((group (gnus-info-group info))
               (unread (gnus-group-unread group)))
          (when (and (string-match "^\\(list\\.\\|nntp\\+LocalNews:\\)" group)
                     (not (string= "INBOX" group))
                     (numberp unread) (> unread 0))
            (ignore-errors
              (gnus-summary-read-group group nil t))
            (when (and gnus-summary-buffer
                       (buffer-live-p gnus-summary-buffer)
                       (eq (current-buffer)
                           (get-buffer gnus-summary-buffer)))
              (message "Exiting summary for group %s ..." group)
              (gnus-summary-exit))))))))
--8<---------------cut here---------------end--------------->8---

This visits every IMAP or NNTP group that uses adaptive scoring, so that the
resulting unread counts reflect reality.  Yet after I run this, Gnus does an
"initial sync" of 33 or more groups, bringing Emacs to its knees every time.

I started noticing this behavior in the last couple days.  I've updated Gnus
twice in that time (I think).  Right now I'm at commit 1bd6e87.

Thanks,
  John Wiegley

Ma Gnus v0.6
GNU Emacs 23.4.1 (x86_64-apple-darwin11.2.0, Carbon Version 1.6.0 AppKit 1138.23)
 of 2012-01-31 on vulcan
200 Leafnode NNTP daemon, version 2.0.0.alpha20110815a.luascript at newartisans.com 
500 Unknown command




Acknowledgement sent to John Wiegley <jwiegley@HIDDEN>:
New bug report received and forwarded. Copy sent to bugs@HIDDEN. Full text available.
Report forwarded to bugs@HIDDEN:
bug#11599; Package gnus. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 25 Jan 2017 15:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.